WordPress Zingiri Form Builder bővítmény cross-site scripting sérülékenység

CH azonosító

CH-7822

Angol cím

WordPress Zingiri Form Builder Plugin "error" Cross-Site Scripting Vulnerability

Felfedezés dátuma

2012.10.22.

Súlyosság

Alacsony

Érintett rendszerek

WordPress
Zingiri Form Builder Plugin

Érintett verziók

WordPress Zingiri Form Builder Plugin 1.x

Összefoglaló

A WordPress Zingiri Form Builder bővítmény sérülékenysége vált ismertté, amelyet kihasználva a támadók cross-site scripting (XSS/CSS) támadásokat hajthatnak végre.

Leírás

A wp-admin/admin.php részére (amikor “page” értéke “form”) az “error” paraméteren keresztül átadott bemeneti adat nincs megfelelően megtisztítva a wp-content/plugins/form/controlpanel.php-ben, mielőtt a felhasználó számára visszaadásra kerülne. Ezt kihasználva, tetszőleges HTML és script kódot lehet futtatni a felhasználó böngészőjének munkamenetében az érintett oldal vonatkozásában.

A sérülékenységet az 1.2.0 verzióban jelentették, de más kiadások is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra